<template>
  <b-card>

    <b-row>

      <!-- User Info: Left col -->
      <b-col
        cols="21"
        xl="6"
        class="d-flex justify-content-between flex-column"
      >
        <!-- User Avatar & Action Buttons -->
        <div class="d-flex justify-content-start">
          <b-avatar
          
         
            src="../../../../assets/images/pages/key-gcb906276e_640.png"
            size="104px"
            rounded
          />
          <div class="d-flex flex-column ml-1">
            <div class="mb-1">
              <h2 class="mb-0">
                {{ roleData.name }} 
              </h2>
                 
            </div>

            <br>
            <div class="d-flex flex-wrap">
              <b-button
                :to="{ name: 'apps-roles-edit', params: { id: $route.params.id } }"
                variant="primary"
              >
                Editar
              </b-button>

              <b-button
                variant="outline-danger"
                class="ml-1"
                @click="deleteRole($route.params.id)"
              >
                Eliminar
              </b-button>

              <b-button
                variant="outline-success"
                class="ml-1"
                @click="$router.back()"
              >
                Regresar
              </b-button>
            </div>
            
          </div>
        </div>

        
      </b-col>

      <!-- Right Col: Table -->
      <b-col
        cols="12"
        xl="6"
      >
      
      </b-col>
    </b-row>
  </b-card>
</template>

<script>
import {
  BCard, BButton, BAvatar, BRow, BCol,BProgress,
} from 'bootstrap-vue'

export default {
  name:'role-view-info-card',
  methods: {
  },
  components: {
    BCard, BButton, BRow, BCol, BAvatar,BProgress,
  },
  props: {
    roleData: {
      type: Object,
      required: true,
    },
  },
  methods:{
    deleteRole(role){
      this.$swal({
        title: '¿Está seguro de eliminar el registro?',
        text: "No podrás revertir esto!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonText: 'Si, eliminar!',
        customClass: {
          confirmButton: 'btn btn-primary',
          cancelButton: 'btn btn-outline-danger ml-1',
        },
        buttonsStyling: false,

      }).then(result => {
        if (result.value) {
          this.$http.get('roles/delete',{params:{role:role}}).then(res=>{
            this.$swal({
                icon: 'success',
                title: 'Eliminado!',
                text: 'El registro ha sido eliminado.',
                customClass: {
                  confirmButton: 'btn btn-success',
                },
              })
            this.$router.push({ name: 'apps-roles-list' })
            console.log(res)
          }).catch(err=>{
            console.log(err)
          })
      } else {
          this.$swal({
            title: 'Cancelado',
            text: 'El registro esta a salvo :)',
            icon: 'error',
            customClass: {
              confirmButton: 'btn btn-success',
            },
          })
        }
    })
    }
  }
}
</script>

<style>

</style>
